package org.jeecg.modules.projectManagement.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.basedata.entity.FdPersonnel;
import org.jeecg.modules.projectManagement.entity.FdProjectFile;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;

/**
 * @Description: 项目档案
 * @author： jeecg-boot
 * @date：   2019-05-28
 * @version： V1.0
 */
public interface FdProjectFileMapper extends BaseMapper<FdProjectFile> {

    IPage<FdProjectFile> findByPage(Page<FdProjectFile> page,@Param("ew") QueryWrapper<FdProjectFile> queryWrapper);

    List<FdPersonnel> getPersonnelList();

    int closeBatch(@Param("list") List<String> list);

    int auditBatch(@Param("list") List<String> list);

    int reviewBatch(@Param("list") List<String> list);

    int queryStatus0();

    int queryStatus1();

    int queryStatus2();

    int queryStatus3();

    int queryStatus4();

    FdProjectFile myGetById(String id);

    List<FdProjectFile> supplementContractList();

    /***
     * @Title:选择合同的id查询档案对象
            * @Description:TODO
            * @param contractId
            * @return java.util.List<org.jeecg.modules.projectManagement.entity.FdProjectFile>
            * @exception
            * @author 陈创
            * @date 2019/12/6 11:34
            * @updatehistory:
     *   2019/12/6 11:34 新增
            */
   FdProjectFile selectContractById(@Param("contractId")String contractId);

    IPage<FdProjectFile> validationCodeFindByPage(Page<FdProjectFile> page,@Param("ew") QueryWrapper<FdProjectFile> queryWrapper);

    /**
    * @Author chenchuang
    * @Description //TODO 根据合同id获取本合同中的所有报价信息
    * @Date 2020/5/28 15:04
    * @Param []
    * @return java.util.List<org.jeecg.modules.projectManagement.entity.FdProjectFile>
    */
    List<FdProjectFile> getPiFileList(@Param("fdProjectFile")FdProjectFile fdProjectFile);

    /**
    * @Author chenchuang
    * @Description //TODO 项目支付信息菜单分页查询
    * @Date 2020/7/23 10:28
    * @Param [page, queryWrapper]
    * @return java.util.List<org.jeecg.modules.projectManagement.entity.FdProjectFile>
    */
    IPage<FdProjectFile> findInformationByPage(Page<FdProjectFile> page,@Param("ew") QueryWrapper<FdProjectFile> queryWrapper);
}
